View Issue Details

IDProjectCategoryView StatusLast Update
0015625LazarusIDEpublic2010-05-17 17:25
ReporterRoland TurcanAssigned ToPaul Ishenin 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015625: IDE crashes after comfirmation of loaded compiler options
DescriptionWhen I load any compiler options and confirm the project option form I get this crash:

TLazarusManager.Run starting /Users/test/lazarus/lazarus.app/Contents/MacOS/lazarus ...
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="/Users/test/.lazarus"
  SecondaryConfigPath="/etc/lazarus"
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus failed with result -30585
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus failed with result -30585
TApplication.HandleException Access violation
  Stack trace:
  $003B300A TPARSEDCOMPILEROPTIONS__GETPARSEDVALUE, line 3400 of /Users/test/lazarus/ide/compileroptions.pp
  $003ADFCF TBASECOMPILEROPTIONS__GETPARSEDPATH, line 1988 of /Users/test/lazarus/ide/compileroptions.pp
  $003ADE57 TBASECOMPILEROPTIONS__GETPATH, line 1962 of /Users/test/lazarus/ide/compileroptions.pp
  $003ADB11 TBASECOMPILEROPTIONS__GETINCLUDEPATH, line 1909 of /Users/test/lazarus/ide/compileroptions.pp
  $005A51FC TCOMPILERPATHOPTIONSFRAME__CHECK, line 90 of /Users/test/lazarus/ide/./frames/compiler_path_options.pas
  $00583106 TRAVERSE, line 304 of /Users/test/lazarus/ide/ideoptionsdlg.pas
  $00583129 TRAVERSE, line 309 of /Users/test/lazarus/ide/ideoptionsdlg.pas
  $00583141 TRAVERSE, line 310 of /Users/test/lazarus/ide/ideoptionsdlg.pas
  $005830BB TIDEOPTIONSDIALOG__CHECKVALUES, line 317 of /Users/test/lazarus/ide/ideoptionsdlg.pas
  $00582C3C TIDEOPTIONSDIALOG__OKBUTTONCLICK, line 172 of /Users/test/lazarus/ide/ideoptionsdlg.pas
  $0019F081 TCONTROL__CLICK, line 2294 of /Users/test/lazarus/lcl/controls.pp
  $002386DF TBUTTONCONTROL__CLICK, line 72 of /Users/test/lazarus/lcl/stdctrls.pp
  $00238D15 TCUSTOMBUTTON__CLICK, line 164 of /Users/test/lazarus/lcl/stdctrls.pp
  $0022A17F TCUSTOMBITBTN__CLICK, line 57 of /Users/test/lazarus/lcl/buttons.pp
  $0023855A TBUTTONCONTROL__WMDEFAULTCLICKED, line 26 of /Users/test/lazarus/lcl/stdctrls.pp
  $0002040A line 5402 of ./include/dockzone.inc
  $00194E62 TWINCONTROL__WNDPROC, line 5102 of /Users/test/lazarus/lcl/controls.pp
 

state of revision r23594.

TagsNo tags attached.
Fixed in Revision23975
LazTarget0.9.30
WidgetsetCarbon
Attached Files

Relationships

related to 0015739 closedPaul Ishenin Lazarus IDE crashes when loading compiler settings from a file 

Activities

Paul Ishenin

2010-03-13 17:44

manager   ~0035455

Please test and close if ok.

Roland Turcan

2010-05-17 17:25

reporter   ~0037686

thanks.

Issue History

Date Modified Username Field Change
2010-01-29 16:57 Roland Turcan New Issue
2010-01-29 16:57 Roland Turcan Widgetset => Carbon
2010-03-12 12:55 Vincent Snijders Relationship added related to 0015739
2010-03-12 12:55 Vincent Snijders LazTarget => 0.9.30
2010-03-12 12:55 Vincent Snijders Status new => acknowledged
2010-03-12 12:55 Vincent Snijders Target Version => 0.9.30
2010-03-13 17:44 Paul Ishenin Fixed in Revision => 23975
2010-03-13 17:44 Paul Ishenin Status acknowledged => resolved
2010-03-13 17:44 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-03-13 17:44 Paul Ishenin Resolution open => fixed
2010-03-13 17:44 Paul Ishenin Assigned To => Paul Ishenin
2010-03-13 17:44 Paul Ishenin Note Added: 0035455
2010-05-17 17:25 Roland Turcan Status resolved => closed
2010-05-17 17:25 Roland Turcan Note Added: 0037686